finley/src/IndexList.h File Reference
`#include "Finley.h"`
`#include <escript/IndexList.h>`

Go to the source code of this file.

## Namespaces

| finley
| A suite of factory methods for creating various finley domains.

## Functions

void | finley::IndexList_insertElements (IndexList *index_list, ElementFile *elements, bool reduce_row_order, const index_t *row_map, bool reduce_col_order, const index_t *col_map)
void | finley::IndexList_insertElementsWithRowRangeNoMainDiagonal (IndexList *index_list, index_t firstRow, index_t lastRow, ElementFile *elements, index_t *row_map, index_t *col_map)